  @echo off
  set PTStitcherPath= "D:\programs\panotools\helpers\PTStitcher.exe"
  if not exist %PTStitcherPath% goto PathError
  if "%1" == "" goto no_param
  if "%2" == "" goto no_param
  echo p w%3 h%3 f0 v90 n"TIFF_m" > _cbf_tmp_.txt
  if "%3" == "" echo p w600 h600 f0 v90 n"TIFF_m" > _cbf_tmp_.txt
  echo m g1 i3 >> _cbf_tmp_.txt
  echo o f4 y0   p0   r0 v360 >> _cbf_tmp_.txt
  echo o f4 y-90 p0   r0 v360 >> _cbf_tmp_.txt
  echo o f4 y180 p0   r0 v360 >> _cbf_tmp_.txt
  echo o f4 y90  p0   r0 v360 >> _cbf_tmp_.txt
  echo o f4 y0   p-90 r0 v360 >> _cbf_tmp_.txt
  echo o f4 y0   p90  r0 v360 >> _cbf_tmp_.txt
  %PTStitcherPath% -o %2 _cbf_tmp_.txt %1 %1 %1 %1 %1 %1
  del _cbf_tmp_.txt
  goto ende
  :PathError
  echo.
  echo please set complete path for PTStitcher in first 'set' line!
  echo.
  :no_param
  echo.
  echo usage: cubefaces {in file name} {out prefix} {out size}
  echo.
  echo {in file name} = any equirectangular image, required
  echo {out prefix} = prefix for output images, required
  echo {out size} = size of output images, optional, default 600
  echo.
  pause
  :ende
